Subject: [sipcore] e2e sip question

From: Harhit Tam <[email-masked]>
Date: Fri, 20 Nov 2009 17:04:17 +0200

Hi all,

Can we use e2e SIP (without proxies) using only the destination's DNS name?

That is Bob's phone has a DNS name bob.domain.org, and Alice would like
to make a call to that DNS name directly without using a SIP URI in the form
of an e-mail address.

How can we use SIP in this way?

Thank you in advance.

Regards.

Harhit

---

From: "James M. Polk" <[email-masked]>
Date: Fri, 20 Nov 2009 12:12:40 -0600

At 09:04 AM 11/20/2009, Harhit Tam wrote:
>That is Bob's phone has a DNS name 
><http://bob.domain.org>bob.domain.org, and Alice would like

Does Alice's UA know the IP address of Bob's UA?

If yes, then this is all that's needed for point to point 
communication using SIP.

If no, the DNS name needs to be resolved to an IP address somehow 
(i.e., by some entity) to direct the packet towards Bob's UA.

James

>Thank you in advance.
>
>Regards.
>
>Harhit
>
>
>_______________________________________________
>sipcore mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/sipcore

---

From: Harhit Tam <[email-masked]>
Date: Fri, 20 Nov 2009 23:24:13 +0200

Thanks. So, the To: and From: fields that normally carry a SIP URI,
can be empty? Note that both Alice and Bob have DNS names and no SIP URIs.

When Alice calls Bob, how can he know who is calling? By looking at the
contact field of the incoming request?

Thanks for your time!

Regards.

Harhit

On Fri, Nov 20, 2009 at 8:12 PM, James M. Polk <[email-masked]> wrote:

> If yes, then this is all that's needed for point to point communication
> using SIP.
>
> If no, the DNS name needs to be resolved to an IP address somehow (i.e., by
> some entity) to direct the packet towards Bob's UA.
>
> James
>
>
>  Thank you in advance.
>>
>> Regards.
>>
>> Harhit
>>
>>

---

From: "James M. Polk" <[email-masked]>
Date: Sat, 21 Nov 2009 00:23:15 -0600

At 03:24 PM 11/20/2009, Harhit Tam wrote:
>can be empty?

I don't believe they can be <null>, and you must have the To: and 
From: tags for call identification.  However, SIP doesn't route based 
on the To: or From: URIs, so asking if SIP can work without proxies 
doesn't ask if the To and From header values can be empty.  SIP 
routes based on the Request-URI in the status line at the top of the 
SIP header - where the Request-URI (or R-URI) can be merely an IP address.

>Note that both Alice and Bob have DNS names and no SIP URIs.
>
>When Alice calls Bob, how can he know who is calling?

This is part of the discussion about "display names" -- which aren't 
at all part of the To or From SIP URIs, though they can be part of 
the same header value, but this is not required in RFC 3261.

>By looking at the contact field of the incoming request?

This is done in the From: header value (RFC 3261), or the 
P-Asserted-Identity header value (RFC 3323 or 3325, I can't remember 
which at this moment) or the Identity header value from RFC 4474 -- 
but not the Contact header value.

(I think I got them all)

Hope this helps

James

>Thanks for your time!
>
>Regards.
>
>Harhit
>
>
>On Fri, Nov 20, 2009 at 8:12 PM, James M. Polk 
><<mailto:[email-masked]>[email-masked]> wrote:
><mailto:[email-masked]>[email-masked]

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 23 Nov 2009 09:09:58 -0500

> can be empty? Note that both Alice and Bob have DNS names and no SIP URIs.

You may not have empty from and to, but you could use:

	To: sip:bob.domain.org
	From: sip:alice.domain.org

Thanks,
Paul

> On Fri, Nov 20, 2009 at 8:12 PM, James M. Polk <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>         That is Bob's phone has a DNS name bob.domain.org
>         <http://bob.domain.org>, and Alice would like
> 
>         [email-masked] <mailto:[email-masked]>
> ------------------------------------------------------------------------
>